<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2006 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../maincore.php";
require_once "subheader.php";
require_once ADMIN."navigation.php";
include LOCALE.LOCALESET."admin/filmy.php";

if (!checkrights("A") || !defined("iAUTH") || $aid != iAUTH) fallback("../index.php");
if (isset($film_id) && !isNum($film_id)) fallback("index.php");

if ($settings['tinymce_enabled'] == 1) echo "<script type='text/javascript'>advanced();</script>\n";

if (isset($status)) {
	if ($status == "su") {
		$title = $locale['500'];
		$message = "<b>".$locale['501']."</b>";
	} elseif ($status == "sn") {
		$title = $locale['504'];
		$message = "<b>".$locale['505']."</b>";
	} elseif ($status == "del") {
		$title = $locale['506'];
		$message = "<b>".$locale['507']."</b>";
	}
	opentable($title);
	echo "<div align='center'>".$message."</div>\n";
	closetable();
	tablebreak();
}

$result = dbquery("SELECT * FROM ".$db_prefix."film_cats");
if (dbrows($result) != 0) {
	if (isset($_POST['save'])) {
		$subject = stripinput($_POST['subject']);
		$body = addslash($_POST['body']);
		$body2 = addslash($_POST['body2']);
		if ($settings['tinymce_enabled'] != 1) { $breaks = isset($_POST['line_breaks']) ? "y" : "n"; } else { $breaks = "n"; }
		$comments = isset($_POST['film_comments']) ? "1" : "0";
		$ratings = isset($_POST['film_ratings']) ? "1" : "0";
		$miniaturka = stripinput($_POST['miniaturka']);
		if (isset($film_id)) {
			$result = dbquery("UPDATE ".$db_prefix."film SET film_cat='".$_POST['film_cat']."', film_subject='$subject', film_snippet='$body', film_article='$body2', film_breaks='$breaks', film_allow_comments='$comments', film_allow_ratings='$ratings', film_miniaturka='$miniaturka' WHERE film_id='$film_id'");
			redirect(FUSION_SELF.$aidlink."&status=su");
		} else {
			$result = dbquery("INSERT INTO ".$db_prefix."film (film_cat, film_subject, film_snippet, film_article, film_breaks, film_name, film_datestamp, film_reads, film_allow_comments, film_allow_ratings, film_miniaturka) VALUES ('".$_POST['film_cat']."', '$subject', '$body', '$body2', '$breaks', '".$userdata['user_id']."', '".time()."', '0', '$comments', '$ratings', '$miniaturka')");
			redirect(FUSION_SELF.$aidlink."&status=sn");
		}
	} else if (isset($_POST['delete'])) {
		$result = dbquery("DELETE FROM ".$db_prefix."film WHERE film_id='$film_id'");
		$result = dbquery("DELETE FROM ".$db_prefix."comments WHERE comment_item_id='$film_id' and comment_type='W'");
		$result = dbquery("DELETE FROM ".$db_prefix."ratings WHERE rating_item_id='$film_id' and rating_type='W'");
		redirect(FUSION_SELF.$aidlink."&status=del");
	} else {
		if (isset($_POST['preview'])) {
			$film_cat = $_POST['film_cat'];
			$subject = stripinput($_POST['subject']);
			$body = phpentities(stripslash($_POST['body']));
			$body2 = phpentities(stripslash($_POST['body2']));
			$bodypreview = str_replace("src='".str_replace("../", "", IMAGES_A), "src='".IMAGES_A, stripslash($_POST['body']));
			$body2preview = str_replace("src='".str_replace("../", "", IMAGES_A), "src='".IMAGES_A, stripslash($_POST['body2']));
			if (isset($_POST['line_breaks'])) {
				$breaks = " checked";
				$bodypreview = nl2br($bodypreview);
				$body2preview = nl2br($body2preview);
			}
			$comments = isset($_POST['film_comments']) ? " checked" : "";
			$ratings = isset($_POST['film_ratings']) ? " checked" : "";
			$miniaturka = stripinput($_POST['miniaturka']);
			opentable($subject);
			echo "$bodypreview\n";
			closetable();
			tablebreak();
			opentable($subject);
			echo "$body2preview\n";
			closetable();
			tablebreak();
		}
		opentable($locale['508']);
		$editlist = ""; $sel = "";
		$result = dbquery("SELECT * FROM ".$db_prefix."film ORDER BY film_datestamp DESC");
		if (dbrows($result) != 0) {
			while ($data = dbarray($result)) {
				if (isset($film_id)) $sel = ($film_id == $data['film_id'] ? " selected" : "");
				$editlist .= "<option value='".$data['film_id']."'$sel>".$data['film_subject']."</option>\n";
			}
		} else { $editlist .= "<option value='---' disabled>---</option>\n"; }
		echo "<form name='selectform' method='post' action='".FUSION_SELF.$aidlink."'>
<center>
<select name='film_id' class='textbox' style='width:250px;'>
$editlist</select>
<input type='submit' name='edit' value='".$locale['509']."' class='button'>
<input type='submit' name='delete' value='".$locale['510']."' onclick='return DeleteFilm();' class='button'>
</center>
</form>\n";
		closetable();
		tablebreak();
		if (isset($_POST['edit'])) {
			$result = dbquery("SELECT * FROM ".$db_prefix."film WHERE film_id='$film_id'");
			if (dbrows($result) != 0) {
				$data = dbarray($result);
				$film_cat = $data['film_cat'];
				$subject = $data['film_subject'];
				$body = phpentities(stripslashes($data['film_snippet']));
				$body2 = phpentities(stripslashes($data['film_article']));
				$breaks = ($data['film_breaks'] == "y" ? " checked" : "");
				$comments = ($data['film_allow_comments'] == "1" ? " checked" : "");
				$ratings = ($data['film_allow_ratings'] == "1" ? " checked" : "");
				$miniaturka = $data['film_miniaturka'];
			}
		}
		if (isset($film_id)) {
			$action = FUSION_SELF.$aidlink."&amp;film_id=$film_id";
			opentable($locale['500']);
		} else {
			if (!isset($_POST['preview'])) {
				$subject = "";
				$body = "";
				$body2 = "";
				$breaks = " checked";
				$comments = " checked";
				$ratings = " checked";
				$miniaturka = "";
			}
			$action = FUSION_SELF.$aidlink;
			opentable($locale['504']);
		}
	$result = dbquery("SELECT * FROM ".$db_prefix."film_cats WHERE ".groupaccess('film_cat_access')." AND film_cat_sub ORDER BY film_cat_name");
		$catlist = ""; $sel = "";
		while ($data = dbarray($result)) {
			if (isset($film_cat)) $sel = ($film_cat == $data['film_cat_id'] ? " selected" : "");
			$catlist .= "<option value='".$data['film_cat_id']."'$sel>".$data['film_cat_name']."</option>\n";
		}
		$image_files = makefilelist(IMAGES_A, ".|..|index.php", true);
		$image_list = makefileopts($image_files);
		echo "<form name='inputform' method='post' action='$action' onSubmit='return ValidateForm(this)'>
<table align='center' cellpadding='0' cellspacing='0'>
<tr>
<td width='100' class='tbl'>".$locale['511']."</td>
<td class='tbl'><select name='film_cat' class='textbox' style='width:250px;'>
$catlist</select></td>
</tr>
<tr>
<td width='100' class='tbl'>".$locale['512']."</td>
<td class='tbl'><input type='text' name='subject' value='$subject' class='textbox' style='width:250px;'></td>
</tr>
<tr>
<td width='100' class='tbl'>Miniaturka:</td>
<td class='tbl'><input type='text' name='miniaturka' value='$miniaturka' class='textbox' style='width:250px;'></td>
</tr>
<tr>
<td valign='top' width='100' class='tbl'>".$locale['513']."</td>
<td class='tbl'><textarea name='body' cols='95' rows='5' class='textbox'>$body</textarea></td>
</tr>\n";
		if ($settings['tinymce_enabled'] != 1) {
			echo "<tr>\n<td class='tbl'></td>\n<td class='tbl'>
<input type='button' value='b' class='button' style='font-weight:bold;width:25px;' onClick=\"addText('body', '<b>', '</b>');\">
<input type='button' value='i' class='button' style='font-style:italic;width:25px;' onClick=\"addText('body', '<i>', '</i>');\">
<input type='button' value='u' class='button' style='text-decoration:underline;width:25px;' onClick=\"addText('body', '<u>', '</u>');\">
<input type='button' value='link' class='button' style='width:35px;' onClick=\"addText('body', '<a href=\'', '\' target=\'_blank\'>Link</a>');\">
<input type='button' value='img' class='button' style='width:35px;' onClick=\"addText('body', '<img src=\'".str_replace("../","",IMAGES_A)."', '\' style=\'margin:5px;\' align=\'left\'>');\">
<input type='button' value='center' class='button' style='width:45px;' onClick=\"addText('body', '<center>', '</center>');\">
<input type='button' value='small' class='button' style='width:40px;' onClick=\"addText('body', '<span class=\'small\'>', '</span>');\">
<input type='button' value='small2' class='button' style='width:45px;' onClick=\"addText('body', '<span class=\'small2\'>', '</span>');\">
<input type='button' value='alt' class='button' style='width:25px;' onClick=\"addText('body', '<span class=\'alt\'>', '</span>');\"><br>
</td>
</tr>\n";
		}
		echo "
<tr>
<td width='100' class='tbl'>".$locale['514']."</td>
<td class='tbl'><input type='text' name='body2' value='$body2' class='textbox' style='width:500px;'></td>
</tr>
<tr>
<td class='tbl'></td><td class='tbl'>";
if ($settings['tinymce_enabled'] != 1) echo "<input type='checkbox' name='line_breaks' value='yes'$breaks> ".$locale['417']."<br>\n";
echo "<input type='checkbox' name='film_comments' value='yes'$comments> ".$locale['423']."<br>
<input type='checkbox' name='film_ratings' value='yes'$ratings> ".$locale['424']."</td>
</tr>
<tr>
<td align='center' colspan='2' class='tbl'><br>
<input type='submit' name='save' value='".$locale['516']."' class='button'></td>
</tr>
</table>
</form>\n";
		closetable();
		echo "<script type='text/javascript'>
function DeleteFilm() {
	return confirm('".$locale['552']."');
}
function ValidateForm(frm) {
	if(frm.subject.value=='') {
		alert('".$locale['550']."');
		return false;
	}
}
</script>\n";
	}
} else {
	opentable($locale['517']);
	echo "<center>".$locale['518']."<br>\n".$locale['519']."<br>
<a href='film_cats.php".$aidlink."'>".$locale['520']."</a>".$locale['521']."</center>\n";
	closetable();
}

echo "</td>\n";
require_once BASEDIR."footer.php";
?>