<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright (c) 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "maincore.php";
require_once "subheader.php";
require_once "side_left.php";
include LOCALE.LOCALESET."admin/filmy.php";

if (!iMEMBER) { header("Location:../../index.php"); exit; }

$result = dbquery("SELECT * FROM ".$db_prefix."film_cats");
if (dbrows($result) != 0) {
	if (isset($_POST['save'])) {
		$subject = stripinput($_POST['subject']);
		$body = addslash($_POST['body']);
		$body2 = addslash($_POST['body2']);
		if ($settings['tinymce_enabled'] != 1) { $breaks = isset($_POST['line_breaks']) ? "y" : "n"; } else { $breaks = "n"; }
		$comments = isset($_POST['film_comments']) ? "1" : "0";
		$ratings = isset($_POST['film_ratings']) ? "1" : "0";
		$miniaturka = stripinput($_POST['miniaturka']);
		if (isset($film_id)) {
			$result = dbquery("UPDATE ".$db_prefix."film SET film_cat='".$_POST['film_cat']."', film_subject='$subject', film_snippet='$body', film_article='$body2', film_breaks='$breaks', film_allow_comments='$comments', film_allow_ratings='$ratings', film_miniaturka='$miniaturka' WHERE film_id='$film_id'");
			opentable($locale['500']);
			echo "<center><br>
".$locale['501']."<br><br>
<a href='film_dodaj.php'>Dodaj nastpny film</a><br><br>
<a href='index.php'>Strona Gwna</a><br><br>
</center>\n";
			closetable();
		} else {
			$result = dbquery("INSERT INTO ".$db_prefix."film (film_cat, film_subject, film_snippet, film_article, film_breaks, film_name, film_datestamp, film_reads, film_allow_comments, film_allow_ratings, film_miniaturka) VALUES ('".$_POST['film_cat']."', '$subject', '$body', '$body2', '$breaks', '".$userdata['user_id']."', '".time()."', '0', '$comments', '$ratings', '$miniaturka')");
			opentable($locale['504']);
			echo "<center><br>
".$locale['505']."<br><br>
<a href='film_dodaj.php'>Dodaj nastpny film</a><br><br>
<a href='index.php'>Strona Gwna</a><br><br>
</center>\n";
			closetable();
		}
	} else if (isset($_POST['delete'])) {
		$result = dbquery("DELETE FROM ".$db_prefix."film WHERE film_id='$film_id'");
		$result = dbquery("DELETE FROM ".$db_prefix."comments WHERE comment_item_id='$film_id' and comment_type='W'");
		$result = dbquery("DELETE FROM ".$db_prefix."ratings WHERE rating_item_id='$film_id' and rating_type='W'");
		opentable($locale['506']);
		echo "<center><br>
".$locale['507']."<br><br>
<a href='film_dodaj.php'>Dodaj nastpny film</a><br><br>
<a href='index.php'>Strona Gwna</a><br><br>
</center>\n";
		closetable();
	} else {
		if (isset($_POST['preview'])) {
			$film_cat = $_POST['film_cat'];
			$subject = stripinput($_POST['subject']);
			$body = phpentities(stripslash($_POST['body']));
			$body2 = phpentities(stripslash($_POST['body2']));
			$bodypreview = str_replace("src='".str_replace("../", "", IMAGES_A), "src='".IMAGES_A, stripslash($_POST['body']));
			$body2preview = str_replace("src='".str_replace("../", "", IMAGES_A), "src='".IMAGES_A, stripslash($_POST['body2']));
			if (isset($_POST['line_breaks'])) {
				$breaks = " checked";
				$bodypreview = nl2br($bodypreview);
				$body2preview = nl2br($body2preview);
			}
			$comments = isset($_POST['film_comments']) ? " checked" : "";
			$ratings = isset($_POST['film_ratings']) ? " checked" : "";
			$miniaturka = stripinput($_POST['miniaturka']);
			opentable($subject);
			echo "$bodypreview\n";
			closetable();
			tablebreak();
			opentable($subject);
			echo "$body2preview\n";
			closetable();
			tablebreak();
		}
		

		if (isset($_POST['edit'])) {
			$result = dbquery("SELECT * FROM ".$db_prefix."film WHERE film_id='$film_id'");
			if (dbrows($result) != 0) {
				$data = dbarray($result);
				$film_cat = $data['film_cat'];
				$subject = $data['film_subject'];
				$body = phpentities(stripslashes($data['film_snippet']));
				$body2 = phpentities(stripslashes($data['film_article']));
				$breaks = ($data['film_breaks'] == "y" ? " checked" : "");
				$comments = ($data['film_allow_comments'] == "1" ? " checked" : "");
				$ratings = ($data['film_allow_ratings'] == "1" ? " checked" : "");
				$miniaturka = $data['film_miniaturka'];
			}
		}
		if (isset($film_id)) {
			$action = FUSION_SELF."?film_id=$film_id";
			opentable($locale['500']);
		} else {
			if (!isset($_POST['preview'])) {
				$subject = "";
				$body = "";
				$body2 = "";
				$breaks = " checked";
				$comments = " checked";
				$ratings = " checked";
				$miniaturka = "";
			}
			$action = FUSION_SELF;
			opentable($locale['504']);
		}
	$result = dbquery("SELECT * FROM ".$db_prefix."film_cats WHERE ".groupaccess('film_cat_access')." AND film_cat_sub ORDER BY film_cat_name");
		$catlist = ""; $sel = "";
		while ($data = dbarray($result)) {
			if (isset($film_cat)) $sel = ($film_cat == $data['film_cat_id'] ? " selected" : "");
			$catlist .= "<option value='".$data['film_cat_id']."'$sel>".$data['film_cat_name']."</option>\n";
		}
		$image_files = makefilelist(IMAGES_A, ".|..|index.php", true);
		$image_list = makefileopts($image_files);
		echo "<form name='inputform' method='post' action='$action' onSubmit='return ValidateForm(this)'>
<table align='center' cellspacing='0' cellpadding='0'>
<tr>
<td width='100' class='tbl'>Kategoria:</td>
<td class='tbl'><select name='film_cat' class='textbox' style='width:250px;'>
$catlist</select></td>
</tr>
<tr>
<td width='100' class='tbl'>Tytu:</td>
<td class='tbl'><input type='text' name='subject' value='$subject' class='textbox' style='width:250px;'></td>
</tr>
<tr>
<td width='100' class='tbl'>Miniaturka:</td>
<td class='tbl'><input type='text' name='miniaturka' value='$miniaturka' class='textbox' style='width:250px;'></td>
</tr>
<tr>
<td width='100' class='tbl'>Link:</td>
<td class='tbl'><input type='text' name='body2' value='$body2' class='textbox' style='width:500px;'></td>
</tr>
<tr>
<td valign='top' width='100' class='tbl'>Opis:</td>
<td class='tbl'><textarea name='body' cols='95' rows='5' class='textbox'>$body</textarea></td>
</tr>\n";
echo "<tr>
<td align='center' colspan='2' class='tbl'><br>
<input type='submit' name='save' value='".$locale['516']."' class='button'></td>
</tr>
</table>
</form>\n";
closetable();
		echo "<script language=\"JavaScript\">
function Deletefilm() {
	return confirm('".$locale['552']."');
}
function ValidateForm(frm) {
	if(frm.subject.value=='') {
		alert('".$locale['550']."');
		return false;
	}
}
</script>\n";
	}
} else {
	opentable($locale['517']);
	echo "<center>".$locale['518']."<br>\n".$locale['519']."<br>
<a href='film_cats.php'>".$locale['520']."</a>".$locale['521']."</center>\n";
	closetable();
}

echo "</td>\n";
require_once "side_right.php";
require_once BASEDIR."footer.php";
?>
