<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2006 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "maincore.php";
require_once "subheader.php";
require_once "side_left.php";
include LOCALE.LOCALESET."searchfilm.php";

$news_per_page = 11; $posts_per_page = 20;

if (!isset($rowstart) || !isNum($rowstart)) $rowstart = 0;

if (isset($stype)) $stype = $stype;
if (isset($stext)) $stext = stripinput($stext);

if (!isset($stype)) $stype = isset($_POST['stype']) ? $_POST['stype'] : "r";
if (!isset($stext)) $stext = isset($_POST['stext']) ? stripinput($_POST['stext']) : "";

if ($stext != "" && strlen($stext) >= "3") {
	tablebreak();
	opentable($locale['409']);
	if ($stype == "r") {
		$result = dbquery(
			"SELECT ta.*,tac.* FROM ".$db_prefix."film ta
			INNER JOIN ".$db_prefix."film_cats tac ON ta.film_cat=tac.film_cat_id
			WHERE ".groupaccess('film_cat_access')." AND (film_subject LIKE '%$stext%' || film_snippet LIKE '%$stext%')"
		);
		$rows = dbrows($result);
		if ($rows != 0) {
			echo $rows." ".($rows == 1 ? $locale['410'] : $locale['411']).$locale['422'].":<br><br>\n";
			$result = dbquery(
				"SELECT ta.*,tac.*, tu.user_id,user_name FROM ".$db_prefix."film ta
				INNER JOIN ".$db_prefix."film_cats tac ON ta.film_cat=tac.film_cat_id
				LEFT JOIN ".$db_prefix."users tu ON ta.film_name=tu.user_id
				WHERE ".groupaccess('film_cat_access')." AND (film_subject LIKE '%$stext%' || film_snippet LIKE '%$stext%')
				ORDER BY film_datestamp DESC LIMIT $rowstart,10"
			);
			while ($data = dbarray($result)) {
				if (eregi($stext, $data['film_subject']) && eregi($stext, $data['film_snippet'])) {
					$subj_c = substr_count(strtolower($data['film_subject']), strtolower($stext));
					$text_c = substr_count(strtolower($data['film_snippet']), strtolower($stext));
					echo "<table border='0' width='100%' >
  <tr>
    <td width='75%'>
      <table border='0' width='100%'>
        <tr>
          <td width='100%'>
		  <b>Tytu: </b><a href='filmy.php?film_id=".$data['film_id']."'>".$data['film_subject']."</a>$new
		  </td>
        </tr>
        <tr>
          <td width='100%'>
		  <img src='images/komentarz.gif'>&nbsp;<b>Komentarzy: </b>";
		  $count = dbcount("(comment_id)", "comments", "comment_type='W' AND comment_item_id='".$data['film_id']."'");
			 if ($count) {
        echo "".$count."";
        } else {
        echo "Brak";
        }
		  echo "</td>
        </tr>
				<tr>";
		$wynik = dbquery("SELECT SUM(rating_vote) FROM ".$db_prefix."ratings WHERE rating_type='W' AND rating_item_id='".$data['film_id']."'");
$info = dbresult($wynik,0);
$num_rating = dbcount("(rating_vote)", "ratings", "rating_type='W' AND rating_item_id='".$data['film_id']."'");
$wyn_rating = ($num_rating ? $info / $num_rating : 0);
echo "<td><img src='images/ocena.gif'>&nbsp;<b>Ocena: </b>";
if ($wyn_rating) {
        echo "".ceil($wyn_rating)."";
        } else {
        echo "Brak";
        }
echo "</td>
</tr>
        <tr>
          <td width='100%'>
		  <img src='images/ogladano.gif'>&nbsp;<b>Il wywietle:</b> ".$data['film_reads']."
		  </td>
        </tr>
        <tr>
          <td width='100%'><img src='images/data.gif'>&nbsp;";
		  echo "<b>Data dodania: </b>";
		  echo showdate("shortdate", $data['film_datestamp'])."<br>\n";
		  echo "</td>
        </tr>
		  <tr>
    <td width='100%'>
	<img src='images/dodal.gif'>&nbsp;<b>Doda: </b><a href='profile.php?lookup=".$data['user_id']."'".$link_class.">".$data['user_name']."</a>
	</td>
  </tr>
		   <tr>
          <td width='100%'>
		  <img src='images/opis.gif'>&nbsp;<b>Opis: </b>";
          		  	if ($data['film_snippet']) {
        echo "".trimlink($data['film_snippet'],60)."<br><br>";
        } else {
        echo "Brak";
        }
		  echo "</td>
      </table>
    </td>
    <td width='25%'>
	<a href='filmy.php?film_id=".$data['film_id']."'><img src='".$data['film_miniaturka']."' width='170' height='125' border='0'></a>
	</td>
  </tr>
</table>";
					echo "<br><span class='small'>".$subj_c." ".($subj_c == 1 ? $locale['430'] : $locale['431']).$locale['432'].$locale['433'].", ";
					echo $text_c." ".($text_c == 1 ? $locale['430'] : $locale['431']).$locale['432'].$locale['434']."</span><br><br>";
				} elseif (eregi($stext, $data['film_snippet'])) {
					$text_c = substr_count(strtolower($data['film_snippet']), strtolower($stext));
					echo "<table border='0' width='100%' >
  <tr>
    <td width='75%'>
      <table border='0' width='100%'>
        <tr>
          <td width='100%'>
		  <b>Tytu: </b><a href='filmy.php?film_id=".$data['film_id']."'>".$data['film_subject']."</a>$new
		  </td>
        </tr>
        <tr>
          <td width='100%'>
		  <img src='images/komentarz.gif'>&nbsp;<b>Komentarzy: </b>";
		  $count = dbcount("(comment_id)", "comments", "comment_type='W' AND comment_item_id='".$data['film_id']."'");
			 if ($count) {
        echo "".$count."";
        } else {
        echo "Brak";
        }
		  echo "</td>
        </tr>
				<tr>";
		$wynik = dbquery("SELECT SUM(rating_vote) FROM ".$db_prefix."ratings WHERE rating_type='W' AND rating_item_id='".$data['film_id']."'");
$info = dbresult($wynik,0);
$num_rating = dbcount("(rating_vote)", "ratings", "rating_type='W' AND rating_item_id='".$data['film_id']."'");
$wyn_rating = ($num_rating ? $info / $num_rating : 0);
echo "<td><img src='images/ocena.gif'>&nbsp;<b>Ocena: </b>";
if ($wyn_rating) {
        echo "".ceil($wyn_rating)."";
        } else {
        echo "Brak";
        }
echo "</td>
</tr>
        <tr>
          <td width='100%'>
		  <img src='images/ogladano.gif'>&nbsp;<b>Ilo wywietle:</b> ".$data['film_reads']."
		  </td>
        </tr>
        <tr>
          <td width='100%'><img src='images/data.gif'>&nbsp;";
		  echo "<b>Data dodania: </b>";
		  echo showdate("shortdate", $data['film_datestamp'])."<br>\n";
		  echo "</td>
        </tr>
		  <tr>
    <td width='100%'>
	<img src='images/dodal.gif'>&nbsp;<b>Doda: </b><a href='profile.php?lookup=".$data['user_id']."'".$link_class.">".$data['user_name']."</a>
	</td>
  </tr>
		   <tr>
          <td width='100%'>
		  <img src='images/opis.gif'>&nbsp;<b>Opis: </b>";
		            		  	if ($data['film_snippet']) {
        echo "".trimlink($data['film_snippet'],60)."<br><br>";
        } else {
        echo "Brak";
        }
		  echo "</td>
      </table>
    </td>
    <td width='25%'>
	<a href='filmy.php?film_id=".$data['film_id']."'><img src='".$data['film_miniaturka']."' width='170' height='125' border='0'></a>
	</td>
  </tr>
</table>";
					echo "<br><span class='small'>".$text_c." ".($text_c == 1 ? $locale['430'] : $locale['431']).$locale['432'].$locale['434']."</span><br><br>";
				} elseif (eregi($stext, $data['film_subject'])) {
					$subj_c = substr_count(strtolower($data['film_subject']), strtolower($stext));
					echo "<table border='0' width='100%' >
  <tr>
    <td width='75%'>
      <table border='0' width='100%'>
        <tr>
          <td width='100%'>
		  <b>Tytu: </b><a href='filmy.php?film_id=".$data['film_id']."'>".$data['film_subject']."</a>$new
		  </td>
        </tr>
        <tr>
          <td width='100%'>
		  <img src='images/komentarz.gif'>&nbsp;<b>Komentarzy: </b>";
		  $count = dbcount("(comment_id)", "comments", "comment_type='W' AND comment_item_id='".$data['film_id']."'");
			 if ($count) {
        echo "".$count."";
        } else {
        echo "Brak";
        }
		  echo "</td>
        </tr>
				<tr>";
		$wynik = dbquery("SELECT SUM(rating_vote) FROM ".$db_prefix."ratings WHERE rating_type='W' AND rating_item_id='".$data['film_id']."'");
$info = dbresult($wynik,0);
$num_rating = dbcount("(rating_vote)", "ratings", "rating_type='W' AND rating_item_id='".$data['film_id']."'");
$wyn_rating = ($num_rating ? $info / $num_rating : 0);
echo "<td><img src='images/ocena.gif'>&nbsp;<b>Ocena: </b>";
if ($wyn_rating) {
        echo "".ceil($wyn_rating)."";
        } else {
        echo "Brak";
        }
echo "</td>
</tr>
        <tr>
          <td width='100%'>
		  <img src='images/ogladano.gif'>&nbsp;<b>Ilo wywietle:</b> ".$data['film_reads']."
		  </td>
        </tr>
        <tr>
          <td width='100%'><img src='images/data.gif'>&nbsp;";
		  echo "<b>Data dodania: </b>";
		  echo showdate("shortdate", $data['film_datestamp'])."<br>\n";
		  echo "</td>
        </tr>
		  <tr>
    <td width='100%'>
	<img src='images/dodal.gif'>&nbsp;<b>Doda: </b><a href='profile.php?lookup=".$data['user_id']."'".$link_class.">".$data['user_name']."</a>
	</td>
  </tr>
		   <tr>
          <td width='100%'>
		  <img src='images/opis.gif'>&nbsp;<b>Opis: </b>";
		            		  	if ($data['film_snippet']) {
        echo "".trimlink($data['film_snippet'],60)."<br><br>";
        } else {
        echo "Brak";
        }
		  echo "</td>
      </table>
    </td>
    <td width='25%'>
	<a href='filmy.php?film_id=".$data['film_id']."'><img src='".$data['film_miniaturka']."' width='170' height='125' border='0'></a>
	</td>
  </tr>
</table>";
					echo "<br><span class='small'>".$subj_c." ".($subj_c == 1 ? $locale['430'] : $locale['431']).$locale['432'].$locale['433']."</span><br>";
				}
			}
		} else {
			echo "<center>0 ".$locale['411'].$locale['422'].".</center>\n";
		}
		closetable();
		if ($rows > 10) echo "<div align='center' style='margin-top:5px;'>\n".makePageNav($rowstart,10,$rows,3,FUSION_SELF."?stype=r&amp;stext=$stext&amp;")."\n</div>\n";
	}
} 

require_once "side_right.php";
require_once "footer.php";
?>